# Retrieve the PDF file generation status of invoices Retrieves the PDF generation statuses of a batch of invoices. Endpoint: GET /v1/invoices/pdf-status Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `invoiceKeys` (string, required) The IDs or numbers of the invoices separated by commas. For example - ?invoiceKeys=2c92c8955bd63cc1015bd7c151af02ab,4b65b8605bd63cc1015bd7c151af02cd,INV-0000001. A maximum of 50 keys can be entered in this field. ## Response 200 fields (application/json): - `invoiceFiles` (array) Array of invoice PDF statuses requested. Example: [{"invoiceId":"402824aa8cc894d5018cc8a120576881","invoiceNumber":"INV00000003","pdfGenerationStatus":"Generated","createdOn":"2024-01-01 11:35:56","updatedOn":"2024-01-01 11:35:56","pdfFileUrl":"/v1/files/2c98901f62d7d83d0162d7facea6262d"},{"invoiceId":"2c98908a904dfc2601904e6e14090241","invoiceNumber":"INV00000004","pdfGenerationStatus":"Error","createdOn":"2024-01-02 10:14:13","updatedOn":"2024-01-02 10:14:13","errorCode":"INVALID_TEMPLATE","errorMessage":"Unknown merge filed chargeNumber__c"},{"invoiceId":"402824aa8cc894d5018cc8a120576881","invoiceNumber":"INV00000005","pdfGenerationStatus":"Pending","createdOn":"2024-01-01 11:35:56","updatedOn":"2024-01-01 11:35:56"}] - `invoiceFiles.invoiceId` (string) The ID of the invoice whose pdf status is requested. - `invoiceFiles.invoiceNumber` (string) The invoice number of the invoice whose pdf status is requested. - `invoiceFiles.pdfGenerationStatus` (string) The generation status of the invoice PDF. - Obsolete: The status changes to Obsolete when additional updates are applied to the document, for example, payment applied or custom fields updated. - Archived: The status changes to Archived from Generated when the PDF file is archived. The file cannot be used directly until it is restored. For restoring, refer to the Restore a file operation. Enum: "None", "Pending", "Processing", "Generated", "Error", "Obsolete", "Archived" - `invoiceFiles.createdOn` (string) The time at which the request to generate the PDF was created. - `invoiceFiles.updatedOn` (string) The time at which the request to generate the PDF was updated. - `invoiceFiles.pdfFileURL` (string) The file path or the URL of the PDF when the status is Generated. - `invoiceFiles.errorCategory` (string) The error category when the status is Error. - `invoiceFiles.errorMessage` (string) The error message when the status is Error. - `success` (boolean) Indicates whether the call succeeded. Example: true ## Response 400 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 403 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.